import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.net.Socket;
import java.util.Calendar;

import javax.swing.JTextArea;


public class MyClientSocket extends Thread {
	private boolean keepRunning=false;
	private Socket sock;
	private JTextArea myTextArea;
	private PrintStream out;
	private BufferedReader in;
	private String StackTraceAsString(Exception e) {
		StringWriter sw = new StringWriter();
		e.printStackTrace(new PrintWriter(sw));
		return sw.toString();
	}

	public MyClientSocket(Socket sock, JTextArea myTextArea) {
		this.sock=sock;
		this.myTextArea=myTextArea;
		try {
			out = new PrintStream( sock.getOutputStream() );
			InputStreamReader isr  = new InputStreamReader( sock.getInputStream() ); 
			in  = new BufferedReader( isr );
			keepRunning=true;
		} catch (IOException e) {
			myTextArea.append(StackTraceAsString(e));
			out=null;
			in=null;
		}
	}
	public void send(String message) {
		out.println(message);
		out.flush();
	}
	@Override
	public void run() {
		try {
			while(keepRunning) {
				String request = in.readLine();
				if (request!=null) {
					myTextArea.append(request+"\n");
				} else {
					keepRunning=false;
				}
			}
		} catch (IOException e) {
			myTextArea.append(StackTraceAsString(e));
		}
		try {
			sock.close();
		} catch (IOException e) {
			myTextArea.append(StackTraceAsString(e));
		}
	}
	public void close() {
		keepRunning=false;
	}
}

